﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace App1
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage(Event _event)
        {
            InitializeComponent();
            BindingContext = new DetailPageViewModel(_event);

        }
    }

    public class Event
    {
        public string Name { get; set; }
    }

    public class DetailPageViewModel : INotifyPropertyChanged
    {
        private Event _event;
        public Event Event
        {
            set
            {
                _event = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(Event)));
            }
            get => _event;
        }
        public DetailPageViewModel(Event theEvent)
        {
            Event = theEvent;
        }

        public event PropertyChangedEventHandler PropertyChanged;

    }
}
